APE tag ignored when followed by ID3v1 tag

March 21, 2014 21:18 - Jan Lejsek

Status: Closed Start date: March 21, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.1   

Description

Hello, I'm using Lubuntu 13.10 with Audacious 3.4 from default repositories. I'm tagging my (MP3) music by IDv1 tags. When the

fields have not enough space I'm using APEv2 tags for preserving the additional information because I don't like IDv2 tags at all.

Unfortunately my Audacious is not detecting / reading any APEv2 tags.

According to this thread: http://redmine.audacious-media-player.org/boards/1/topics/715

I understand there is some kind of support. Is it correct?

In Windows XP I was using older WinAMP 2.XX with plugins or Foobar2000 and it worked like a charm. I want this funcionality in my

Audacious! :-)

History

#1 - March 22, 2014 01:16 - John Lindgren

There is APE tag support (reading and writing) in Audacious.  Please run audacious -V and add a single MP3 file to the playlist so that we can see the

debug output and figure out why the tag is not being read.

#2 - March 22, 2014 01:53 - Jan Lejsek

I was listening: Obscure Sphinx - 2013 - Void Mother/03 - Waiting for the Bodies Down the River Floating.mp3

This song has a longer name than ID3v1 supports so I added APEv2 tag.

This is the log: http://www.clipboard.cz/986e3

#3 - March 22, 2014 21:21 - John Lindgren

It looks like the file has an APE tag followed by an ID3v1 tag (so Audacious is seeing only the ID3v1 tag).  Would you attach the file to this bug report

or email it to me so I can try out a fix?

#4 - March 22, 2014 21:24 - John Lindgren

This is the relevant block from the log, in case you're interested:

VFS: <0xd14d80> seek to -32 from end

ape/ape.c:156 [ape_find_header]: No header found.

VFS: <0xd14d80> seek to 0 from beginning

VFS: <0xd14d80> seek to -128 from end

tag_module.c:51 [find_tag_module]: Module ID3v1 accepted file.
#5 - March 23, 2014 02:25 - Jan Lejsek

I've sent you the link to the MP3 file through leteckaposta.cz service to your email.

#6 - March 23, 2014 17:01 - John Lindgren

I see the email (it went to my spam folder) but the download page is not working.  Try sending the MP3 file as an email attachment instead?

Edit: Never mind, replaced "leteckaposta.cz" with "sharegadget.com" in the URL and then it worked.

#7 - March 23, 2014 17:08 - John Lindgren

- Tracker changed from Feature to Bug

- Subject changed from Audacious reading APEv2 tags? to APE tag ignored when followed by ID3v1 tag

- Category set to libaudtag

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

Fixed.
